aboutsummaryrefslogtreecommitdiff
path: root/config/polybar/pwidgets/scripts/pywal.sh
diff options
context:
space:
mode:
authorAnhgelus Morhtuuzh <anhgelus.morhtuuzh@gmx.com>2023-07-25 23:46:05 +0200
committerAnhgelus Morhtuuzh <anhgelus.morhtuuzh@gmx.com>2023-07-25 23:46:05 +0200
commitc57e8ab185623510e527400a34d729b313daffc4 (patch)
tree7b67d44894255ce4810d8074d68fce88f66d37d0 /config/polybar/pwidgets/scripts/pywal.sh
parent9f004955033387eebf3f58aec2501fba5020f307 (diff)
feat(polybar): update polybar style
Diffstat (limited to 'config/polybar/pwidgets/scripts/pywal.sh')
-rwxr-xr-xconfig/polybar/pwidgets/scripts/pywal.sh59
1 files changed, 59 insertions, 0 deletions
diff --git a/config/polybar/pwidgets/scripts/pywal.sh b/config/polybar/pwidgets/scripts/pywal.sh
new file mode 100755
index 0000000..7fba92a
--- /dev/null
+++ b/config/polybar/pwidgets/scripts/pywal.sh
@@ -0,0 +1,59 @@
+#!/usr/bin/env bash
+
+# Color files
+PFILE="$HOME/.config/polybar/pwidgets/colors.ini"
+RFILE="$HOME/.config/polybar/pwidgets/scripts/rofi/colors.rasi"
+WFILE="$HOME/.cache/wal/colors.sh"
+
+# Get colors
+pywal_get() {
+ wal -i "$1" -q -t
+}
+
+# Change colors
+change_color() {
+ # polybar
+ sed -i -e "s/bg = #.*/bg = ${BG}/g" $PFILE
+ sed -i -e "s/fg = #.*/fg = ${FG}/g" $PFILE
+ sed -i -e "s/fga = #.*/fga = ${RFG}/g" $PFILE
+ sed -i -e "s/ac = #.*/ac = ${AC}/g" $PFILE
+
+ # rofi
+ cat > $RFILE <<- EOF
+ /* colors */
+
+ * {
+ al: #00000000;
+ bg: ${BG}FF;
+ fg: ${RFG}FF;
+ ac: ${AC}FF;
+ }
+ EOF
+}
+
+# Main
+if [[ -x "`which wal`" ]]; then
+ if [[ "$1" ]]; then
+ pywal_get "$1"
+
+ # Source the pywal color file
+ if [[ -e "$WFILE" ]]; then
+ . "$WFILE"
+ else
+ echo 'Color file does not exist, exiting...'
+ exit 1
+ fi
+
+ BG=`printf "%s\n" "$background"`
+ FG=`printf "%s\n" "$foreground"`
+ RFG=`printf "%s\n" "$color8"`
+ AC=`printf "%s\n" "$color1"`
+
+ change_color
+ else
+ echo -e "[!] Please enter the path to wallpaper. \n"
+ echo "Usage : ./pywal.sh path/to/image"
+ fi
+else
+ echo "[!] 'pywal' is not installed."
+fi